PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_results

## Name

pg_results -- return a list of all the uncleared result handles for a connection

## Synopsis

    pg_results conn

## Description

`pg_results` returns a list off all of the PostgreSQL result handles returned by `pg_exec`, `pg_exec_prepared`, `pg_sendquery`, `pg_sendquery_prepared`, etc.

## Arguments

conn

  The handle of the connection on which to listen for notifications.

## Return Value

A list of all of the result handles that haven't been cleared with `pg_result` -clear.

The list can be empty if there are no uncleared result handles.

Prev | Home | Next
pg_execute | Up | pg_listen